> ## Documentation Index
> Fetch the complete documentation index at: https://razorpay-881012b3.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch All Orders (With Expanded Payments)

> Expand payments object when fetching Order details using Razorpay Orders API.

<div style={{display:"flex",flexWrap:"wrap",alignItems:"center",gap:"0.35rem 0.9rem",border:"1px solid rgba(128,128,128,0.28)",borderRadius:"0.5rem",padding:"0.45rem 0.75rem",margin:"0 0 1.25rem",fontSize:"0.875rem"}}>
  <span style={{fontWeight:600}}>Available in</span>
  <span>🇮🇳 India</span>
  <span>🇸🇬 Singapore</span>
  <span>🇺🇸 United States</span>
</div>

Use this endpoint to retrieve the details of all the orders that you created, with the payment parameter expanded.

<RequestExample>
  ```bash Curl theme={null}
  curl -u [YOUR_KEY_ID]:[YOUR_KEY_SECRET]
  -X GET https://api.razorpay.com/v1/orders?expand[]=payments
  ```

  ```bash CLI theme={null}
  razorpay orders list --expand payments
  ```
</RequestExample>

<ResponseExample>
  ```json Success theme={null}
  {
    "entity": "collection",
    "count": 2,
    "items": [
      {
        "id": "order_EpMTIJM0rhOj3H",
        "entity": "order",
        "amount": 10000,
        "amount_paid": 0,
        "amount_due": 10000,
        "currency": "USD",
        "receipt": null,
        "payments": {
          "entity": "collection",
          "count": 1,
          "items": [
            {
              "id": "pay_EpMq4YcK0z5UYk",
              "entity": "payment",
              "amount": 10000,
              "currency": "USD",
              "status": "authorized",
              "order_id": "order_EpMTIJM0rhOj3H",
              "invoice_id": null,
              "international": false,
              "method": "card",
              "amount_refunded": 0,
              "refund_status": null,
              "captured": false,
              "description": null,
              "card_id": "card_EpMq4e7H6fHBQZ",
              "bank": null,
              "wallet": null,
              "vpa": null,
              "email": "<email>",
              "contact": "<phone>",
              "notes": [],
              "fee": null,
              "tax": null,
              "error_code": null,
              "error_description": null,
              "error_source": null,
              "error_step": null,
              "error_reason": null,
              "created_at": 1589269390
            }
          ]
        },
        "offer_id": null,
        "status": "attempted",
        "attempts": 1,
        "notes": [],
        "created_at": 1589268096
      },
      {
        "id": "order_Eoryq8z9wd0y7i",
        "entity": "order",
        "amount": 10000,
        "amount_paid": 0,
        "amount_due": 10000,
        "currency": "USD",
        "receipt": null,
        "payments": {
          "entity": "collection",
          "count": 1,
          "items": [
            {
              "id": "pay_EpMr7r6DRIdYPO",
              "entity": "payment",
              "amount": 10000,
              "currency": "USD",
              "status": "authorized",
              "order_id": "order_Eoryq8z9wd0y7i",
              "invoice_id": null,
              "international": false,
              "method": "card",
              "amount_refunded": 0,
              "refund_status": null,
              "captured": false,
              "description": null,
              "card_id": "card_EpMr7y6E5cDXvd",
              "bank": null,
              "wallet": null,
              "vpa": null,
              "email": "<email>",
              "contact": "<phone>",
              "notes": [],
              "fee": null,
              "tax": null,
              "error_code": null,
              "error_description": null,
              "error_source": null,
              "error_step": null,
              "error_reason": null,
              "created_at": 1589269450
            }
          ]
        },
        "offer_id": null,
        "status": "attempted",
        "attempts": 1,
        "notes": [],
        "created_at": 1589160718
      }
    ]
  }
  ```
</ResponseExample>

## Query Parameters

<ParamField query="expand[]=payments" type="string">
  Use to expand the payments made for an order.
</ParamField>

## Response Parameters

<ResponseField name="id" type="string">
  The unique identifier of the order.
</ResponseField>

<ResponseField name="amount" type="integer">
  The amount for which the order was created, in currency subunits. For example, for an amount of , enter `29500`.
</ResponseField>

<ResponseField name="entity" type="string">
  Name of the entity. Here, it is `order`.
</ResponseField>

<ResponseField name="amount_paid" type="integer">
  The amount paid against the order.
</ResponseField>

<ResponseField name="amount_due" type="integer">
  The amount pending against the order.
</ResponseField>

<ResponseField name="currency" type="string" required>
  ISO code for the currency in which you want to accept the payment. The default length is 3 characters. Refer to the [list of supported currencies](/docs/us/payments/international-payments#supported-currencies).
</ResponseField>

<ResponseField name="receipt" type="string">
  Receipt number that corresponds to this order. Can have a maximum length of 40 characters and has to be unique.
</ResponseField>

<ResponseField name="status" type="string">
  The status of the order. Possible values:

  * `created`: When you create an order it is in the `created` state. It stays in this state till a payment is attempted on it.
  * `attempted`: An order moves from `created` to `attempted` state when a payment is first attempted on it. It remains in the `attempted` state till one payment associated with that order is captured.
  * `paid`: After the successful capture of the payment, the order moves to the `paid` state. No further payment requests are permitted once the order moves to the `paid` state. The order stays in the `paid` state even if the payment associated with the order is refunded.
</ResponseField>

<ResponseField name="attempts" type="integer">
  The number of payment attempts, successful and failed, that have been made against this order.
</ResponseField>

<ResponseField name="notes" type="json object">
  Key-value pair that can be used to store additional information about the entity. Maximum 15 key-value pairs, 256 characters (maximum) each. For example, `"note_key": "Beam me up Scotty”`.
</ResponseField>

<ResponseField name="created_at" type="integer">
  Indicates the Unix timestamp when this order was created.
</ResponseField>

<ResponseField name="payments" type="object">
  Details of the payment.
</ResponseField>

<ResponseField name="id" type="string">
  Unique identifier of the payment.
</ResponseField>

<ResponseField name="entity" type="string">
  Indicates the type of entity.
</ResponseField>

<ResponseField name="amount" type="integer">
  The payment amount in currency subunits. For example, for an amount of  enter 100.
</ResponseField>

<ResponseField name="currency" type="string">
  The currency in which the payment is made.
</ResponseField>

<ResponseField name="status" type="string">
  The status of the payment. Possible values:

  * `created`
  * `authorized`
  * `captured`
  * `refunded`
  * `failed`
</ResponseField>

<ResponseField name="method" type="string">
  The payment method used for making the payment. Possible values:

  * `card`
  * `netbanking`
  * `wallet`
  * `upi`
  * `emi`
</ResponseField>

<ResponseField name="order_id" type="string">
  Order id, if provided. Know more about [Orders](/docs/us/payments/orders).
</ResponseField>

<ResponseField name="description" type="string">
  Description of the payment, if any.
</ResponseField>

<ResponseField name="international" type="boolean">
  Indicates whether the payment is done via an international card or a domestic one. Possible values:

  * `true`: Payment made using international card.
  * `false`: Payment not made using international card.
</ResponseField>

<ResponseField name="refund_status" type="string">
  The refund status of the payment. Possible values:

  * `null`
  * `partial`
  * `full`
</ResponseField>

<ResponseField name="amount_refunded" type="integer">
  The amount refunded in currency subunits. For example, if `amount_refunded = 100`, it is equal to .
</ResponseField>

<ResponseField name="captured" type="boolean">
  Indicates if the payment is captured.
</ResponseField>

<ResponseField name="email" type="string">
  Customer email address used for the payment.
</ResponseField>

<ResponseField name="contact" type="string">
  Customer contact number used for the payment.
</ResponseField>

<ResponseField name="fee" type="integer">
  Fee (including tax) charged by us.
</ResponseField>

<ResponseField name="tax" type="integer">
  Tax charged for the payment.
</ResponseField>

<ResponseField name="error_code" type="string">
  Error that occurred during payment. For example, `BAD_REQUEST_ERROR`.
</ResponseField>

<ResponseField name="error_description" type="string">
  Description of the error that occurred during payment. For example, `Payment processing failed because of incorrect OTP`.
</ResponseField>

<ResponseField name="error_source" type="string">
  The point of failure. For example, `customer`.
</ResponseField>

<ResponseField name="error_step" type="string">
  The stage where the transaction failure occurred. The stages can vary depending on the payment method used to complete the transaction. For example, `payment_authentication`.
</ResponseField>

<ResponseField name="error_reason" type="string">
  The exact error reason. For example, `incorrect_otp`.
</ResponseField>

<ResponseField name="notes" type="json object">
  Contains user-defined fields, stored for reference purposes.
</ResponseField>

<ResponseField name="created_at" type="integer">
  Timestamp, in UNIX format, on which the payment was created.
</ResponseField>

<ResponseField name="card_id" type="string">
  The unique identifier of the card used by the customer to make the payment.
</ResponseField>

<ResponseField name="wallet" type="string">
  The name of the wallet used by the customer to make the payment. For example, `payzapp`.
</ResponseField>

<ResponseField name="acquirer_data" type="array">
  A dynamic array consisting unique reference numbers.
</ResponseField>

<ResponseField name="rrn" type="string">
  A unique bank reference number provided by the banking partner when a refund is processed. This reference number can be used by the customer to track the status of the refund with the bank.
</ResponseField>

<ResponseField name="authentication_reference_number" type="string">
  A unique reference number generated for RuPay card payments.
</ResponseField>

<ResponseField name="bank_transaction_id" type="string">
  A unique reference number provided by the banking partner in case of netbanking payments.
</ResponseField>

<ResponseField name="bank" type="string">
  The 4-character bank code which the customer's account is associated with. For example, `UTIB` for Axis Bank.
</ResponseField>

<br />

<ResponseField name="upi" type="object">
  Details of the UPI payment received. Applicable if `method` is `upi`.
</ResponseField>

<ResponseField name="payer_account_type" type="string">
  The payment method used for making the payment. Possible values:

  * `bank_account`
  * `credit_card`
  * `wallet`
</ResponseField>

<ResponseField name="vpa" type="string">
  The customer's VPA (Virtual Payment Address) or UPI id used to make the payment. For example, `gauravkumar@exampleupi`.
</ResponseField>

<ResponseField name="vpa" type="string">
  The customer's VPA (Virtual Payment Address) or UPI id used to make the payment. For example, `gauravkumar@exampleupi`.
</ResponseField>

<ResponseField name="offer_id" type="string">
  Unique identifier of the offer associated with this order.
</ResponseField>

<ResponseField name="token" type="object">
  The recurring-payment token created when the order was authorised on a subscription / recurring flow. Present on orders that resulted in a token-bearing payment.
</ResponseField>

<ResponseField name="auth_type" type="string">
  The authentication type used to create the token. One of `3ds`, `otp`, `aadhaar`, or `physical` for emandate / `mandate_otp` for UPI.
</ResponseField>

<ResponseField name="expire_at" type="integer">
  Unix timestamp when the token expires.
</ResponseField>

<ResponseField name="failure_reason" type="string">
  Human-readable reason if the token-creation flow failed. `null` on success.
</ResponseField>

<ResponseField name="first_payment_amount" type="integer">
  Amount of the first recurring payment, in the smallest currency unit (paise for INR).
</ResponseField>

<ResponseField name="frequency" type="string">
  Frequency of the recurring debit. One of `as_presented`, `daily`, `weekly`, `monthly`, `yearly`, etc.
</ResponseField>

<ResponseField name="max_amount" type="integer">
  Maximum amount that can be debited per cycle, in the smallest currency unit (paise for INR).
</ResponseField>

<ResponseField name="recurring_status" type="string">
  Lifecycle state of the recurring token. One of `initiated`, `confirmed`, `rejected`, `cancelled`, `paused`, or `expired`.
</ResponseField>
